DeluxHostAPI Reference
VPS management

Get a queued operation

GET
/v1/services/{serviceId}/virtfusion/queue/{queueId}

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

serviceId*number
queueId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
action*string
finished*boolean
failed*boolean
progress*null|number
curl -X GET 'https://api.deluxhost.net/v1/services/0/virtfusion/queue/0' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "action": "string",  "finished": true,  "failed": true,  "progress": null}